OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class BasicService

    java.lang.Object
      org.opennms.netmgt.outage.BasicElement
          org.opennms.netmgt.outage.BasicService

public class BasicService
extends BasicElement

Represents a Service in the ifServices table

Author:
  brozow

Field Summary
`private BasicInterface` `m_iface`
`private long` `m_serviceId`

Constructor Summary
`BasicService(BasicInterface iface, long serviceId)`

Method Summary
`void` `closeOutage(java.sql.Connection dbConn, long eventID, java.lang.String eventTime)`
`BasicInterface` `getInterface()`
`java.lang.String` `getIpAddr()`
`BasicNetwork` `getNetwork()`
`BasicNode` `getNode()`
`long` `getNodeId()`
`long` `getServiceId()`
`boolean` `isValid()`
`boolean` `openOutage(java.sql.Connection dbConn, long eventID, java.lang.String eventTime)`
`boolean` `openOutageExists(java.sql.Connection dbConn)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.outage.BasicElement
`getNextOutageId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_iface

    private BasicInterface m_iface

### m_serviceId

    private long m_serviceId

Constructor Detail

### BasicService

    public BasicService(BasicInterface iface,
                        long serviceId)

Method Detail

### getInterface

    public BasicInterface getInterface()

### getNode

    public BasicNode getNode()

### getNetwork

    public BasicNetwork getNetwork()

  Specified by:
    `getNetwork` in class `BasicElement`

### getNodeId

    public long getNodeId()

### getIpAddr

    public java.lang.String getIpAddr()

### getServiceId

    public long getServiceId()

### isValid

    public boolean isValid()

### toString

    public java.lang.String toString()

### openOutageExists

    public boolean openOutageExists(java.sql.Connection dbConn)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### closeOutage

    public void closeOutage(java.sql.Connection dbConn,
                            long eventID,
                            java.lang.String eventTime)
                     throws java.sql.SQLException

  Parameters:
    `dbConn` -
    `eventID` -
    `eventTime` -
  Throws:
    `java.sql.SQLException`

### openOutage

    public boolean openOutage(java.sql.Connection dbConn,
                              long eventID,
                              java.lang.String eventTime)
                       throws java.sql.SQLException

  Parameters:
    `dbConn` -
    `eventID` -
    `eventTime` -
  Returns:
  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.